(function(root) {
    var modules = {};
    //定义模块
    function define(name, module) {
        if(!name || "string" !== typeof name) {
            error("module name is not defined");
            return false;
        }
        if("function" !== typeof module) {
            error("module is not a function");
            return false;
        }
        modules[name] = module;
    }
    //加载模块
    function require(name) {
        var module;
        if(!name || "string" !== typeof name) {
            error("module name is empty");
            return null;
        }
        module = modules[name];
        if(!module) {
            module = root[name];
            if(module) {
                return module;
            }
            error(name +" is not defined");
            return null;
        }
        if(!module.exports) {
            module.exports = {};
            module.call(module.exports, require, module.exports, module);
        }
        return module.exports;
    }
    
    function error(err) {
        if(err) {
            console.log(err);
        }
    }  

    if(!("define" in root)) {
        root.define = define;
        root.require = require;
    }
})(this);;
define("/components/createLink.js", function(require, exports, module) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function createLink(url) {
  var doc = document;
  var link = doc.createElement("link");
  link.setAttribute("rel", "stylesheet");
  link.setAttribute("type", "text/css");
  link.setAttribute("href", url);
  var heads = doc.getElementsByTagName("head");
  if (heads.length) heads[0].appendChild(link);else doc.documentElement.appendChild(link);
}

exports.default = createLink;
});
"use strict";

var _createLink = require("/components/createLink.js");

var _createLink2 = _interopRequireDefault(_createLink);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var approvalDetailStep;
;

(function () {
  var template = "\n    <div class=\"approval-detail-step\">\n      <div class=\"img-box\" v-if=\"commonVO.fileInfo.pictureList.length > 0\">\n        <p class=\"title\">\u56FE\u7247</p>\n        <ul>\n          <li v-for=\"(pic, index) in commonVO.fileInfo.pictureList\" :key=\"pic.id\" @click=\"checkImg(index)\">\n            <!-- <img class=\"cxt\" src=\"../../images/trade-item.jpg\"> -->\n            <img class=\"cxt\" :src=\"pic.url\">\n          </li>\n        </ul>\n      </div>\n      <div class=\"file-box\" v-if=\"commonVO.fileInfo.fileList.length > 0\">\n        <div class=\"title\">\n          \u9644\u4EF6\n          <!-- <span>\u652F\u6301word\u3001pdf\u3001excel\u6253\u5F00</span> -->\n        </div>\n        <ul>\n          <li v-for=\"file in commonVO.fileInfo.fileList\" :key=\"file.id\" @click=\"readFile(file)\">\n            <img src=\"../../images/excel.png\" alt=\"\" v-if=\"file.fileType === 222\">\n            <img src=\"../../images/word.png\" alt=\"\" v-if=\"file.fileType === 226\">\n            <img src=\"../../images/pdf.png\" alt=\"\" v-if=\"file.fileType === 240\">\n            <img src=\"../../images/others.png\" alt=\"\" v-if=\"file.fileType === 225\">\n            <span class=\"cxt\">{{file.name}}</span>\n          </li>\n          <!-- <li>\n            <img src=\"../../images/excel.png\" alt=\"\">\n            <span class=\"cxt\">\u6587\u4EF6\u540D\u79F0</span>\n          </li> -->\n        </ul>\n      </div>\n      <div class=\"detail-step\">\n        <ul>\n          <li class=\"p-l\" v-for=\"(node, index) in commonVO.nodeDetailList\" :key=\"index\">\n            <p class=\"line\"></p>\n            <span class=\"circle\"></span>\n            <div v-for=\"(rel, index2) in node.relList\" :key=\"index2\">\n              <div class=\"person-item\">\n                <p class=\"person-left\">\n                  <span class=\"name\">{{rel.name}}</span>\n                  <span class=\"tag\">{{rel.deptName}}</span>\n                  <span class=\"tag\" v-if=\"rel.position\">{{rel.position}}</span>\n                </p>\n                <span class=\"date\">{{rel.time}}</span>\n              </div>\n              <!-- manager\u4E0D\u4E3Anull \u79BB\u804C -->\n              <p class=\"des\" v-if=\"rel.manager && rel.stringStatus === '\u5BA1\u6279\u901A\u8FC7'\">{{rel.name}}\u5DF2\u79BB\u804C\uFF0C\u7531{{rel.manager}}\u4EE3\u5BA1\uFF08\u5DF2\u540C\u610F\uFF09\u72B6\u6001\u4E3A<span class=\"green\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"rel.manager && rel.stringStatus === '\u4F1A\u5BA1\u901A\u8FC7'\">{{rel.name}}\u5DF2\u79BB\u804C\uFF0C\u7531{{rel.manager}}\u4EE3\u5BA1\uFF08\u5DF2\u540C\u610F\uFF09\u72B6\u6001\u4E3A<span class=\"green\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"rel.manager && rel.stringStatus === '\u7B49\u5F85\u4F1A\u5BA1\u7ED3\u679C'\">{{rel.name}}\u5DF2\u79BB\u804C\uFF0C\u7531{{rel.manager}}\u4EE3\u5BA1\uFF08\u5DF2\u540C\u610F\uFF09\u72B6\u6001\u4E3A<span class=\"blue\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"rel.manager && rel.stringStatus === '\u5BA1\u6279\u62D2\u7EDD'\">{{rel.name}}\u5DF2\u79BB\u804C\uFF0C\u7531{{rel.manager}}\u4EE3\u5BA1\uFF08\u5DF2\u62D2\u7EDD\uFF09\u72B6\u6001\u4E3A<span class=\"red\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"rel.manager && rel.stringStatus === '\u4F1A\u5BA1\u62D2\u7EDD'\">{{rel.name}}\u5DF2\u79BB\u804C\uFF0C\u7531{{rel.manager}}\u4EE3\u5BA1\uFF08\u5DF2\u62D2\u7EDD\uFF09\u72B6\u6001\u4E3A<span class=\"red\">{{rel.stringStatus}}</span></p>\n              <!-- manager\u4E3Anull \u65E0\u79BB\u804C -->\n              <p class=\"des\" v-if=\"!rel.manager && rel.stringStatus==='\u5BA1\u6279\u901A\u8FC7'\">{{rel.name}}\u540C\u610F\u4E86\uFF0C\u72B6\u6001\u4E3A<span class=\"green\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"!rel.manager && rel.stringStatus==='\u4F1A\u5BA1\u901A\u8FC7'\">{{rel.name}}\u540C\u610F\u4E86\uFF0C\u72B6\u6001\u4E3A<span class=\"green\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"!rel.manager && rel.stringStatus==='\u7B49\u5F85\u4F1A\u5BA1\u7ED3\u679C'\">{{rel.name}}\u540C\u610F\u4E86\uFF0C\u72B6\u6001\u4E3A<span class=\"blue\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"!rel.manager && rel.stringStatus==='\u5BA1\u6279\u62D2\u7EDD'\">{{rel.name}}\u62D2\u7EDD\u4E86\uFF0C\u72B6\u6001\u4E3A<span class=\"red\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"!rel.manager && rel.stringStatus==='\u4F1A\u5BA1\u62D2\u7EDD'\">{{rel.name}}\u62D2\u7EDD\u4E86\uFF0C\u72B6\u6001\u4E3A<span class=\"red\">{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"rel.stringStatus==='\u5DF2\u64A4\u9500'\"><span>{{rel.stringStatus}}</span></p>\n              <p class=\"des\" v-if=\"rel.stringStatus==='\u53D1\u8D77\u7533\u8BF7'\"><span class=\"black\">{{rel.stringStatus}}</span></p>\n            </div>\n          </li>\n          <!-- <li class=\"p-l\">\n            <span class=\"circle\"></span>\n            <div class=\"person-item\">\n              <p class=\"person-left\">\n                <span class=\"name\">\u5C0F\u738B</span>\n                <span class=\"tag\">\u673A\u7535\u79D1\u673A\u7535\u79D1</span>\n                <span class=\"tag\">\u4F9B\u5E94\u5458</span>\n              </p>\n              <span class=\"date\">2018-06-05 18:10</span>\n            </div>\n            <p class=\"des\">\u5DF2\u64A4\u9500</p>\n          </li> -->\n        </ul>\n      </div>\n      <div class=\"detail-step\">\n        <p class=\"detail-notify-title\">\n          \u901A\u77E5\n          <span>\u5BA1\u6279\u901A\u8FC7\u540E\uFF0C\u901A\u77E5\u4EE5\u4E0B\u4EBA</span>\n        </p>\n        <ul>\n          <li v-for=\"(notice, index) in commonVO.noticeUserList\" :key=\"index\">\n            <div class=\"person-item\">\n              <p class=\"person-left\">\n                <span class=\"name\">{{notice.name}}</span>\n                <span class=\"tag\">{{notice.deptName}}</span>\n                <span class=\"tag\" v-if=\"notice.position\">{{notice.position}}</span>\n              </p>\n            </div>\n          </li>\n          <!-- <li>\n            <div class=\"person-item\">\n              <p class=\"person-left\">\n                <span class=\"name\">\u5C0F\u738B</span>\n                <span class=\"tag\">\u673A\u7535\u79D1\u673A\u7535\u79D1</span>\n                <span class=\"tag\">\u4F9B\u5E94\u5458</span>\n              </p>\n            </div>\n          </li> -->\n        </ul>\n      </div>\n    </div>\n  ";
  approvalDetailStep = {
    name: 'approval-detail-step',
    template: template,
    data: function data() {
      return {
        num: 1,
        commonVO: {
          fileInfo: {
            pictureList: [],
            fileList: []
          }
        }
      };
    },
    // props: {
    //   commonVO: {
    //     type: Object
    //   }
    // },
    methods: {
      initData: function initData(data) {
        this.commonVO = data; // alert(JSON.stringify(this.commonVO.nodeDetailList))
      },
      // 下载文件
      download: function download(url, name) {
        // alert(name)
        return new Promise(function (resolve, reject) {
          api.download({
            url: url,
            savePath: api.cacheDir + name,
            report: false,
            cache: true,
            allowResume: false,
            encode: false
          }, function (ret, err) {
            if (ret.state == 1) {
              // alert(JSON.stringify(ret))
              // 下载成功
              resolve(ret.savePath);
            } else {
              reject('failed');
            }
          });
        });
      },
      // 查看文件
      readFile: function readFile(item) {
        var docReader = api.require('docReader');

        this.download(item.url, item.name).then(function (res) {
          // alert(res)
          docReader.open({
            path: res,
            autorotation: false
          }, function (ret, err) {
            if (ret.status) {// alert(JSON.stringify(ret));
            } else {// alert(JSON.stringify(err));
              }
          });
        });
      },
      // 查看图片
      checkImg: function checkImg(index) {
        var urls = [];
        this.commonVO.fileInfo.pictureList.forEach(function (element) {
          urls.push(element.url);
        });

        var imageBrowser = api.require('imageBrowser');

        imageBrowser.openImages({
          imageUrls: urls,
          activeIndex: index
        });
      }
    }
  };
  (0, _createLink2.default)('../../components/approvalDetailStep/index.css');
})();