(function(root) {
    var modules = {};
    //定义模块
    function define(name, module) {
        if(!name || "string" !== typeof name) {
            error("module name is not defined");
            return false;
        }
        if("function" !== typeof module) {
            error("module is not a function");
            return false;
        }
        modules[name] = module;
    }
    //加载模块
    function require(name) {
        var module;
        if(!name || "string" !== typeof name) {
            error("module name is empty");
            return null;
        }
        module = modules[name];
        if(!module) {
            module = root[name];
            if(module) {
                return module;
            }
            error(name +" is not defined");
            return null;
        }
        if(!module.exports) {
            module.exports = {};
            module.call(module.exports, require, module.exports, module);
        }
        return module.exports;
    }
    
    function error(err) {
        if(err) {
            console.log(err);
        }
    }  

    if(!("define" in root)) {
        root.define = define;
        root.require = require;
    }
})(this);;
define("/components/createLink.js", function(require, exports, module) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function createLink(url) {
  var doc = document;
  var link = doc.createElement("link");
  link.setAttribute("rel", "stylesheet");
  link.setAttribute("type", "text/css");
  link.setAttribute("href", url);
  var heads = doc.getElementsByTagName("head");
  if (heads.length) heads[0].appendChild(link);else doc.documentElement.appendChild(link);
}

exports.default = createLink;
});
"use strict";

var _createLink = require("/components/createLink.js");

var _createLink2 = _interopRequireDefault(_createLink);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var approvalStep;
;

(function () {
  var template = "\n    <div class=\"approval-apply\">\n      <div class=\"img-box\">\n      <p class=\"title\">\u56FE\u7247</p>\n      <ul>\n        <li v-for=\"(imgs,index) in imageList\" :key=\"index\">\n          <img class=\"cxt\" :src=\"imgs.thumbPath\" @click=\"checkImg(index)\">\n          <img class=\"del\" src=\"../../images/step-del.png\" @click=\"delPic(index)\">\n        </li>\n        <li class=\"add-box\" @click=\"getPicSheet\" v-show=\"imageList.length < 9\">\n          <p class=\"add\">\n            <img src=\"../../images/add.png\" alt=\"\">\n          </p>\n        </li>\n      </ul>\n    </div>\n    <div class=\"file-box\">\n      <div class=\"title\">\n        \u9644\u4EF6\n        <span>\u652F\u6301word\u3001pdf\u3001excel\u6253\u5F00</span>\n        <div class=\"aui-btn aui-btn-info\" v-show=\"fileList.length > 0\" @click=\"openFileSelect\">\u6DFB\u52A0</div>\n      </div>\n      <div class=\"add-box\" v-show=\"fileList.length === 0\" @click=\"openFileSelect\">\n        <p class=\"add\">\n          <img src=\"../../images/add.png\" alt=\"\">\n        </p>\n      </div>\n      <ul v-show=\"fileList.length > 0\">\n        <li v-for=\"(file, index) in fileList\" :key=\"index\">\n          <img src=\"../../images/excel.png\" alt=\"\">\n          <span class=\"cxt\">{{file.name}}</span>\n          <span class=\"del\" @click=\"delOne(index)\">\u5220\u9664</span>\n        </li>\n        <!-- <li>\n            <img src=\"../../images/excel.png\" alt=\"\">\n            <span class=\"cxt\">\u6587\u4EF6\u540D\u79F0</span>\n            <span class=\"del\">\u5220\u9664</span>\n          </li> -->\n      </ul>\n    </div>\n    <p class=\"common-input\">\n      <span class=\"label\">\u6240\u5728\u90E8\u95E8</span>\n      <input type=\"text\" placeholder=\"\" readonly style=\"font-size: 0.7rem;color: #999999;\" v-model=\"deptName\">\n    </p>\n    <div class=\"step\">\n      <p class=\"step-title\">\u5BA1\u6279\u4EBA</p>\n      <ul class=\"step-box\">\n        <li class=\"step-person\" v-for=\"(step, index) in item.nodeList\" :key=\"index\" @click=\"openDialog(step)\">\n          <p class=\"pic manager\" v-if=\"step.auditType === 33\">\u76F4\u63A5<br/>\u4E3B\u7BA1</p>\n          <p class=\"pic dot\" v-if=\"step.auditType !== 33\">{{step.relListString}}</p>\n          <!-- targetRelType:22-\u4EBA 23-\u90E8\u95E8-->\n          <p class=\"des\" v-if=\"step.auditType !== 33\">{{(step.relList.length > 1 || step.targetRelTypeArr.indexOf(23) > -1) ? '\u591A' : '\u5355'}}\u4EBA<br/>{{step.auditType === 34 ? '\u4F1A\u7B7E' : '\u6216\u7B7E'}}</p>\n        </li>\n        <!-- \u6DFB\u52A0\u7684\u5BA1\u6279\u4EBA 1\u4E2A -->\n        <li class=\"step-person last\" v-if=\"personName\" @click=\"addPersonNode\">\n          <p class=\"pic dot\">{{personName}}</p>\n          <span @click.stop=\"delApprovalOne()\" tapmode></span>\n        </li>\n        <!-- \u6DFB\u52A0\u6309\u94AE -->\n        <li class=\"step-person\" @click=\"addPersonNode\" tapmode v-if=\"!personName\">\n          <p class=\"pic add\">\n            <img src=\"../../images/add.png\" alt=\"\">\n          </p>\n          <p class=\"des\">\u6DFB\u52A0</p>\n        </li>\n      </ul>\n    </div>\n    <div class=\"step\">\n      <p class=\"step-title\">\u901A\u77E5\u5230</p>\n      <ul>\n        <li class=\"ste\" v-for=\"(notice, index) in item.receivedList\" :key=\"index\">\n          <p class=\"pic dot\">{{notice.targetName}}</p>\n        </li>\n        <!-- \u6DFB\u52A0\u7684\u901A\u77E5\u4EBA 6\u4E2A -->\n        <li class=\"ste\" v-for=\"(item, index) in noticeArr\" :key=\"item.id\" @click=\"addPersonNotice\">\n          <p class=\"pic dot\">{{item.name}}</p>\n          <span @click.stop=\"delNoticeOne(index)\" tapmode></span>\n        </li>\n        <!-- \u6DFB\u52A0\u6309\u94AE -->\n        <li class=\"ste\" @click=\"addPersonNotice\" tapmode v-if=\"noticeArr.length < 6\">\n          <p class=\"pic add\">\n            <img src=\"../../images/add.png\" alt=\"\">\n          </p>\n          <p class=\"des\">\u6DFB\u52A0</p>\n        </li>\n      </ul>\n    </div>\n    <div class=\"dialog-mask\" v-show=\"showDialog\" @click.self=\"closeDialog()\">\n      <div class=\"dialog-body\">\n        <p class=\"dialog-title\">\n          {{dialogTitle}}\n          <!-- <img src=\"../../images/cross.png\" alt=\"\" @click=\"closeDialog()\"> -->\n        </p>\n        <ul class=\"dialog-content\">\n          <li v-for=\"person in nameList\" :key=\"person.targetId\">\n            <img>\n            <span>{{person.targetName}}</span>\n          </li>\n        </ul>\n        <div class=\"dialog-footer\">\n          <p class=\"dialog-btn\"  @click=\"closeDialog()\">\u8FD4\u56DE</p>\n          <p class=\"dialog-btn sure\" @click=\"closeDialog()\">\u786E\u8BA4</p>\n        </div>\n      </div>\n    </div>\n\n  </div>\n  ";
  approvalStep = {
    name: 'approval-step',
    template: template,
    data: function data() {
      return {
        showDialog: false,
        imageList: [],
        fileList: [],
        personId: null,
        personName: '',
        noticeArr: [],
        noticeIds: [],
        noticeNames: [],
        item: {},
        deptName: '',
        nameList: [],
        dialogTitle: ''
      };
    },
    methods: {
      getDetail: function getDetail(id) {
        var self = this; // alert(JSON.stringify(id))

        $api.get('/process/data/getProcessUserList/' + id, function (res, err) {
          if (res) {
            // alert(JSON.stringify(res))
            if (res.code == 0) {
              self.deptName = res.data.deptName;
              self.item = res.data.processNodeUserRelVO;

              for (var i in self.item.nodeList) {
                var relList = self.item.nodeList[i].relList;
                var arr = [];

                for (var j = 0; j < relList.length; j++) {
                  arr.push(relList[j].targetRelType);
                }

                self.item.nodeList[i].targetRelTypeArr = arr;
              }
            }
          }
        });
      },
      // 删除审批人
      delApprovalOne: function delApprovalOne() {
        this.personId = null;
        this.personName = '';
      },
      // 删除通知到
      delNoticeOne: function delNoticeOne(index) {
        this.noticeArr.splice(index, 1);
      },
      delOne: function delOne(index) {
        this.fileList.splice(index, 1);
      },
      addPersonNode: function addPersonNode() {
        var self = this;
        api.openWin({
          name: 'user_select_component',
          url: '../../html/user_select_component/user_select_component.html',
          pageParam: {
            multiple: false,
            // 是否多选 必填
            max: 1,
            // 最多可选个数 非必填，默认20
            eventName: 'nodePersonChange',
            //监听事件的名称 必填
            showSelf: false,
            //是否增加选自己的快捷选项 非必填 默认不显示
            chooseSelf: true,
            //是否可以选择自己 非必填 默认可选
            checkedUserList: [{
              userId: self.personId,
              name: self.personName
            }] //默认选中数据 数组 非必填

          }
        });
        api.addEventListener({
          name: 'nodePersonChange'
        }, function (ret, err) {
          // alert(JSON.stringify(ret.value.checkedUserList))
          self.personId = ret.value.checkedUserList[0].userId;
          self.personName = ret.value.checkedUserList[0].name; // self.$emit('personId', self.personId)

          api.sendEvent({
            name: 'personId',
            extra: {
              userId: self.personId
            }
          });
        });
      },
      addPersonNotice: function addPersonNotice() {
        var self = this;
        api.openWin({
          name: 'user_select_component',
          url: '../../html/user_select_component/user_select_component.html',
          pageParam: {
            multiple: true,
            // 是否多选 必填
            max: 6,
            // 最多可选个数 非必填，默认20
            eventName: 'noticePersonChange',
            //监听事件的名称 必填
            showSelf: false,
            //是否增加选自己的快捷选项 非必填 默认不显示
            chooseSelf: true,
            //是否可以选择自己 非必填 默认可选
            checkedUserList: self.noticeArr //默认选中数据 数组 非必填

          }
        });
        api.addEventListener({
          name: 'noticePersonChange'
        }, function (ret, err) {
          // alert(JSON.stringify(ret.value.checkedUserList))
          self.noticeArr = ret.value.checkedUserList;
          api.sendEvent({
            name: 'noticed',
            extra: {
              noticeArr: self.noticeArr
            }
          }); // self.$emit('noticed', self.noticeArr)
        });
      },
      // 打开查看人弹出框
      openDialog: function openDialog(step) {
        if (step.auditType === 33) {
          return;
        }

        this.nameList = step.relList;
        this.dialogTitle = (step.relList.length > 1 || step.targetRelTypeArr.indexOf(23) > -1 ? '多人' : '单人') + (step.auditType === 34 ? '会签' : '或签');
        this.showDialog = true;
      },
      closeDialog: function closeDialog() {
        this.showDialog = false;
      },
      // 查看图片
      checkImg: function checkImg(index) {
        var urls = [];
        this.imageList.forEach(function (element) {
          urls.push(element.thumbPath);
        });

        var imageBrowser = api.require('imageBrowser');

        imageBrowser.openImages({
          imageUrls: urls,
          activeIndex: index
        });
      },
      // 选择文件
      openFileSelect: function openFileSelect() {
        var fileBrowser = api.require('fileBrowser');

        var self = this;
        fileBrowser.open(function (ret) {
          if (ret) {
            fileBrowser.close(); // 控制文件大小

            if (Number(ret.size) > 26214400) {
              api.toast({
                msg: '文件大小不能超过25M,请重新上传',
                duration: 2000,
                location: 'middle'
              });
              return;
            } // 控制文件类型


            var suffix = String(ret.name.split('.').splice(-1));

            if (suffix === 'doc' || suffix === 'docx' || suffix === 'pptx' || suffix === 'ppt' || suffix === 'xls' || suffix === 'xlsx' || suffix === 'pdf' || suffix === 'rar' || suffix === 'zip') {
              self.fileList.push(ret);
            } else {
              api.toast({
                msg: '只能上传doc/docx/pptx/ppt/xls/xlsx/pdf/rar/zip格式文件,请重新上传',
                duration: 2000,
                location: 'middle'
              });
            } // alert(JSON.stringify(ret));

          }
        });
      },
      // 选择图片
      getPicSheet: function getPicSheet() {
        var self = this;
        api.actionSheet({
          // title: '选择图片',
          cancelTitle: '取消',
          buttons: ['拍摄', '从手机相册选择'],
          style: {
            fontNormalColor: '#333'
          }
        }, function (ret, err) {
          // 判断从相册还是拍摄
          switch (ret.buttonIndex) {
            case 1:
              self.camera();
              break;

            case 2:
              self.photo();
              break;
          }
        });
      },
      // 拍照
      camera: function camera() {
        var self = this;
        api.getPicture({
          sourceType: 'camera',
          //图片源
          encodingType: 'jpg',
          // 图片类型
          mediaValue: 'pic',
          destinationType: 'url',
          allowEdit: true,
          quality: 20,
          preview: true,
          // targetWidth: 100,
          // targetHeight: 100,
          saveToPhotoAlbum: false
        }, function (ret, err) {
          if (ret && ret.data) {
            // alert(JSON.stringify(ret));
            self.imageList.push({
              thumbPath: ret.data
            });
          } else {// alert(JSON.stringify(err));
            // alert('拍照上传失败：'+JSON.stringify(err));
          }
        });
      },
      // 相册
      photo: function photo() {
        var self = this;

        var UIAlbumBrowser = api.require('UIAlbumBrowser');

        UIAlbumBrowser.imagePicker({
          max: 9 - self.imageList.length,
          type: 'image',
          styles: {
            bg: '#FFFFFF',
            cameraImg: 'widget://res/apicloud.png',
            mark: {
              icon: '',
              position: 'bottom_left',
              size: 20
            },
            nav: {
              bg: '#000',
              cancelColor: '#fff',
              cancelSize: 16,
              nextStepColor: '#fff',
              nextStepSize: 16
            }
          },
          animation: true
        }, function (ret) {
          // alert(ret)
          // var UIAlbumBrowser = api.require('UIAlbumBrowser');
          // if (ret.eventType == 'cancel') {
          //    UIAlbumBrowser.closePicker();
          // } else 
          if (ret.eventType == 'nextStep') {
            for (var i = 0; i < ret.list.length; i++) {
              UIAlbumBrowser.transPath({
                path: ret.list[i].path
              }, function (ret, err) {
                if (ret) {
                  // self.imageList.push({'thumbPath':ret.path})
                  // alert(JSON.stringify(self.imageList));
                  self.compress(ret.path);
                } else {// alert('图片上传失败：'+JSON.stringify(err));
                }
              }); // alert(JSON.stringify(ret.list[i].path))
            }

            UIAlbumBrowser.closePicker();
          }
        });
      },
      // 压缩图片
      compress: function compress(imagePath) {
        var self = this;

        var imageFilter = api.require('imageFilter');

        var imageName = new Date().getTime() + '.jpg';
        imageFilter.compress({
          img: imagePath,
          quality: 0.2,
          save: {
            album: false,
            imgPath: api.cacheDir + '/upload/',
            imgName: imageName
          }
        }, function (ret, err) {
          if (ret.status) {
            self.imageList.push({
              'thumbPath': api.cacheDir + '/upload/' + imageName
            });
          } else {// alert( JSON.stringify( err ) );
          }
        });
      },
      delPic: function delPic(t) {
        this.imageList.splice(t, 1);
      },
      // 上传文件到OSS
      fileToOSS: function fileToOSS() {
        $api.OSSInit(); // 文件合集

        var _fileList = [];
        var self = this; // 遍历上传图片

        if (self.imageList.length > 0) {
          for (var i = 0; i < self.imageList.length; i++) {
            $api.OSSUpload('image', self.imageList[i].thumbPath);
            api.addEventListener({
              name: self.imageList[i].thumbPath
            }, function (ret, err) {
              // alert(JSON.stringify(ret))
              _fileList.push(ret.value);
            });
          }
        } // 遍历上传文件


        if (self.fileList.length > 0) {
          for (var i = 0; i < self.fileList.length; i++) {
            $api.OSSUpload('file', self.fileList[i].url);
            api.addEventListener({
              name: self.fileList[i].url
            }, function (ret, err) {
              _fileList.push(ret.value);
            });
          }
        } // 发送文件完成信息


        if (self.fileList.length === 0 && self.imageList.length === 0) {
          api.sendEvent({
            name: 'fileList',
            extra: {
              fileList: _fileList
            }
          });
        } else {
          setTimeout(function () {
            api.sendEvent({
              name: 'fileList',
              extra: {
                fileList: _fileList
              }
            });
          }, 2000);
        }
      }
    }
  };
  (0, _createLink2.default)('../../components/approvalStep/index.css');
})();