(function(root) {
    var modules = {};
    //定义模块
    function define(name, module) {
        if(!name || "string" !== typeof name) {
            error("module name is not defined");
            return false;
        }
        if("function" !== typeof module) {
            error("module is not a function");
            return false;
        }
        modules[name] = module;
    }
    //加载模块
    function require(name) {
        var module;
        if(!name || "string" !== typeof name) {
            error("module name is empty");
            return null;
        }
        module = modules[name];
        if(!module) {
            module = root[name];
            if(module) {
                return module;
            }
            error(name +" is not defined");
            return null;
        }
        if(!module.exports) {
            module.exports = {};
            module.call(module.exports, require, module.exports, module);
        }
        return module.exports;
    }
    
    function error(err) {
        if(err) {
            console.log(err);
        }
    }  

    if(!("define" in root)) {
        root.define = define;
        root.require = require;
    }
})(this);;
define("/components/createLink.js", function(require, exports, module) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function createLink(url) {
  var doc = document;
  var link = doc.createElement("link");
  link.setAttribute("rel", "stylesheet");
  link.setAttribute("type", "text/css");
  link.setAttribute("href", url);
  var heads = doc.getElementsByTagName("head");
  if (heads.length) heads[0].appendChild(link);else doc.documentElement.appendChild(link);
}

exports.default = createLink;
});
"use strict";

var _createLink = require("/components/createLink.js");

var _createLink2 = _interopRequireDefault(_createLink);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var audioBox;
;

(function () {
  var template = "\n    <div class=\"audio-play\" v-if=\"audio.length > 0\">\n      <div :class=\"['audio-play-btn', isPlay ? 'playing' : '']\" @click=\"playAudio\">\n        \u70B9\u51FB\u64AD\u653E\n      </div>\n      <span class=\"audio-play-time\">'{{ audio[0].length }}</span>\n    </div>\n  ";
  audioBox = {
    name: 'audioBox',
    template: template,
    data: function data() {
      return {
        isPlay: false
      };
    },
    props: {
      // 音频文件
      audio: {
        type: Array,
        default: function _default() {
          return [];
        }
      },
      // 模式 local: 本地模式 online: 网络模式
      model: {
        type: String,
        default: 'local'
      }
    },
    methods: {
      // 下载音频
      downAudio: function downAudio(url) {
        var self = this;
        return new Promise(function (resolve, reject) {
          api.download({
            url: url,
            savePath: api.cacheDir + '/audio.amr',
            report: false,
            cache: false,
            allowResume: false,
            encode: false
          }, function (ret, err) {
            // alert(ret.savePath)
            if (ret.state == 1) {
              // 下载成功
              api.startPlay({
                path: ret.savePath
              }, function (ret2, err2) {
                if (ret2) {
                  // alert('播放完成');
                  resolve('ok');
                } else {// alert(JSON.stringify(err2));
                }

                self.isPlay = false;
              });
            } else {
              resolve('failed');
            }
          });
        });
      },
      // 播放音频
      playAudio: function playAudio() {
        var self = this;

        if (this.isPlay) {
          api.stopPlay();
          this.isPlay = false;
        } else {
          this.isPlay = true; // 根据模式播放本地或下载音频

          switch (this.model) {
            case 'local':
              api.startPlay({
                path: self.audio[0].path
              }, function (ret, err2) {
                self.isPlay = false;
              });
              break;

            case 'online':
              this.downAudio(this.audio[0].path).then(function (res) {
                if (res) {
                  this.isPlay = false;
                }
              });
              break;
          }
        }
      }
    }
  };
  (0, _createLink2.default)('../../components/audioBox/index.css');
})();