(function(root) {
    var modules = {};
    //定义模块
    function define(name, module) {
        if(!name || "string" !== typeof name) {
            error("module name is not defined");
            return false;
        }
        if("function" !== typeof module) {
            error("module is not a function");
            return false;
        }
        modules[name] = module;
    }
    //加载模块
    function require(name) {
        var module;
        if(!name || "string" !== typeof name) {
            error("module name is empty");
            return null;
        }
        module = modules[name];
        if(!module) {
            module = root[name];
            if(module) {
                return module;
            }
            error(name +" is not defined");
            return null;
        }
        if(!module.exports) {
            module.exports = {};
            module.call(module.exports, require, module.exports, module);
        }
        return module.exports;
    }
    
    function error(err) {
        if(err) {
            console.log(err);
        }
    }  

    if(!("define" in root)) {
        root.define = define;
        root.require = require;
    }
})(this);;
define("/components/createLink.js", function(require, exports, module) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function createLink(url) {
  var doc = document;
  var link = doc.createElement("link");
  link.setAttribute("rel", "stylesheet");
  link.setAttribute("type", "text/css");
  link.setAttribute("href", url);
  var heads = doc.getElementsByTagName("head");
  if (heads.length) heads[0].appendChild(link);else doc.documentElement.appendChild(link);
}

exports.default = createLink;
});
"use strict";

var _createLink = require("/components/createLink.js");

var _createLink2 = _interopRequireDefault(_createLink);

var _assert = require("assert");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @import 'components/createLink.js'
var fileBox;
;

(function () {
  var template = "\n    <div class=\"files\" v-if=\"files.length > 0\">\n      <p class=\"title\">\u6587\u4EF6</p>\n      <div :class=\"['file-item', 'default', fileTypes[item.fileType], 'horizon-between']\" v-for=\"(item, index) in files\" :key=\"index\" @click=\"model === 'see' && readFile(item)\">\n        <span>{{item.name}}</span>\n        <span @click=\"del(index)\" v-if=\"model === 'edit'\" class=\"del-btn\">\u5220\u9664</span>\n      </div>\n    </div>\n  ";
  fileBox = {
    name: 'fileBox',
    template: template,
    data: function data() {
      return {
        fileTypes: {
          221: 'image',
          222: 'excel',
          226: 'word',
          228: 'audio',
          239: 'pdf'
        }
      };
    },
    props: {
      /**
       * 模式
       * @param {string} 模式
       * see 查看 edit 编辑
      */
      model: {
        type: String,
        default: 'see'
      },
      files: {
        type: Array,
        default: function _default() {
          return [];
        }
      }
    },
    methods: {
      // 删除文件
      del: function del(index) {
        // this.files = this.files.filter((item, i) => index !== i)
        this.$emit('del-file', index);
      },
      // 下载文件
      download: function download(url, name) {
        // alert(name)
        return new Promise(function (resolve, reject) {
          api.download({
            url: url,
            savePath: api.cacheDir + name,
            report: false,
            cache: true,
            allowResume: false,
            encode: false
          }, function (ret, err) {
            if (ret.state == 1) {
              // alert(JSON.stringify(ret))
              // 下载成功
              resolve(ret.savePath);
            } else {
              reject('failed');
            }
          });
        });
      },
      // 查看文件
      readFile: function readFile(item) {
        var docReader = api.require('docReader');

        this.download(item.path, item.name).then(function (res) {
          // alert(res)
          docReader.open({
            path: res,
            autorotation: false
          }, function (ret, err) {
            if (ret.status) {// alert(JSON.stringify(ret));
            } else {// alert(JSON.stringify(err));
              }
          });
        });
      }
    }
  };
  (0, _createLink2.default)('../../components/fileBox/index.css');
})();