(function(root) {
    var modules = {};
    //定义模块
    function define(name, module) {
        if(!name || "string" !== typeof name) {
            error("module name is not defined");
            return false;
        }
        if("function" !== typeof module) {
            error("module is not a function");
            return false;
        }
        modules[name] = module;
    }
    //加载模块
    function require(name) {
        var module;
        if(!name || "string" !== typeof name) {
            error("module name is empty");
            return null;
        }
        module = modules[name];
        if(!module) {
            module = root[name];
            if(module) {
                return module;
            }
            error(name +" is not defined");
            return null;
        }
        if(!module.exports) {
            module.exports = {};
            module.call(module.exports, require, module.exports, module);
        }
        return module.exports;
    }
    
    function error(err) {
        if(err) {
            console.log(err);
        }
    }  

    if(!("define" in root)) {
        root.define = define;
        root.require = require;
    }
})(this);;
define("/components/createLink.js", function(require, exports, module) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function createLink(url) {
  var doc = document;
  var link = doc.createElement("link");
  link.setAttribute("rel", "stylesheet");
  link.setAttribute("type", "text/css");
  link.setAttribute("href", url);
  var heads = doc.getElementsByTagName("head");
  if (heads.length) heads[0].appendChild(link);else doc.documentElement.appendChild(link);
}

exports.default = createLink;
});
"use strict";

var _createLink = require("/components/createLink.js");

var _createLink2 = _interopRequireDefault(_createLink);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// @import 'components/createLink.js'
var imgBox;
;

(function () {
  var template = "\n  <div class=\"images\" v-show=\"urls.length > 0\">\n    <p class=\"title\">\u56FE\u7247</p>\n    <div class=\"box\">\n      <div v-for=\"(item, index) in urls\" :key=\"index\" :style=\"'background-image:url(' + item.path + ')'\" @click=\"checkImg(index)\">\n        <img src=\"../../images/cancel.png\"  v-if=\"model === 'edit'\" @click.prevent.stop=\"delImg(index)\">\n      </div>\n    </div>\n  </div>\n  ";
  imgBox = {
    name: 'imgBox',
    template: template,
    props: {
      /**
       * 模式
       * @param {string} 模式
       * see 查看 edit 编辑
      */
      model: {
        type: String,
        default: 'see'
      },
      urls: {
        type: Array,
        default: function _default() {
          return [];
        }
      }
    },
    data: function data() {
      return {};
    },
    methods: {
      // 删除图片
      delImg: function delImg(index) {
        this.$emit('del-img', index);
      },
      // 查看图片
      checkImg: function checkImg(index) {
        var urls = [];
        this.urls.forEach(function (element) {
          urls.push(element.path);
        });

        var imageBrowser = api.require('imageBrowser');

        imageBrowser.openImages({
          imageUrls: urls,
          activeIndex: index
        });
      }
    }
  };
  (0, _createLink2.default)('../../components/imgBox/index.css');
})();